Skip to content
localisyncDocs
Open panel

Queue repository, branch or file discovery

Current membership, explicit branch scope and version checks apply. Previews expire after 24 hours. A pull request is not synchronized until the actual merge result is verified. See the Git synchronization guide for permissions and recovery.

POST /api/v1/workspaces/{workspaceId}/git-connections/discoveries

Operation: createGitDiscovery · Download OpenAPI

This operation does not use the panel session as its authentication mechanism. Follow the operation-specific checks described above.

session

{
"type": "apiKey",
"in": "cookie",
"name": "__Host-localisync-session"
}
Name Location Required Description
workspaceId path Yes See constraints below.
X-CSRF-Token header Yes See constraints below.
Origin header Yes See constraints below.
{
"type": "string",
"format": "uuid"
}
{
"type": "string"
}
{
"type": "string",
"format": "uri"
}

Required: Yes.

Schema reference: DiscoveryInput.

Field Type Required Constraints / description
grantId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
kind repositories, branches, files Yes —
repository string No maxLength: 300; default: ""
branch string No maxLength: 250; default: ""
{
"$ref": "#/components/schemas/DiscoveryInput"
}

Operation accepted or result returned. Remote completion is indicated only by the job state.

Content type: application/json Schema reference: Discovery.

Field Type Required Constraints / description
id string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
grantId string Yes format: "uuid"; pattern: "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
kind repositories, branches, files Yes —
repository string Yes —
branch string Yes —
state queued, completed, failed Yes —
result Array of object Yes —
error string or null Yes —
{
"$ref": "#/components/schemas/Discovery"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Safe error; no partial content application.

Content type: application/json Schema reference: Error.

Field Type Required Constraints / description
error string Yes —
message string Yes —
requestId string Yes —
{
"$ref": "#/components/schemas/Error"
}

Request errors and safe retries · Troubleshooting

Cookie preferences

Your choice applies to localisync.com and docs.localisync.com. You can change it at any time using Cookie settings.